com.hazelcast.monitor

## Interface LocalRecordStoreStats

-     public interface LocalRecordStoreStats

  Local record store statistics to be used by `MemberState` implementations.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decreaseHits(long hits)` Decreases the number of hits of the locally owned entries of this partition.
    `long` | `getHits()` Returns the number of hits (reads) of the locally owned entries of this partition.
    `long` | `getLastAccessTime()` Returns the last access (read) time of the locally owned entries of this partition.
    `long` | `getLastUpdateTime()` Returns the last update time of the locally owned entries of this partition.
    `void` | `increaseHits()` Increases the number of hits of the locally owned entries of this partition.
    `void` | `increaseHits(long hits)` Increases the number of hits of the locally owned entries of this partition.
    `void` | `setLastAccessTime(long time)` Increases the number of hits of the locally owned entries of this partition.
    `void` | `setLastUpdateTime(long time)` Increases the number of hits of the locally owned entries of this partition.

- - ### Method Detail

    - #### getHits

          long getHits()

      Returns the number of hits (reads) of the locally owned entries of this partition.
      Returns:
        number of hits (reads) of the locally owned entries of this partition.

    - #### getLastAccessTime

          long getLastAccessTime()

      Returns the last access (read) time of the locally owned entries of this partition.
      Returns:
        last access (read) time of the locally owned entries of this partition.

    - #### getLastUpdateTime

          long getLastUpdateTime()

      Returns the last update time of the locally owned entries of this partition.
      Returns:
        last update time of the locally owned entries of this partition.

    - #### increaseHits

          void increaseHits()

      Increases the number of hits of the locally owned entries of this partition.

    - #### increaseHits

          void increaseHits(long hits)

      Increases the number of hits of the locally owned entries of this partition.

    - #### decreaseHits

          void decreaseHits(long hits)

      Decreases the number of hits of the locally owned entries of this partition.

    - #### setLastAccessTime

          void setLastAccessTime(long time)

      Increases the number of hits of the locally owned entries of this partition.

    - #### setLastUpdateTime

          void setLastUpdateTime(long time)

      Increases the number of hits of the locally owned entries of this partition.

Copyright © 2020. All rights reserved.